<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>propclass/wire.h Source File (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">propclass/wire.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    Crystal Space Entity Layer</span>
<a name="l00003"></a>00003 <span class="comment">    Copyright (C) 2009 by Jorrit Tyberghein</span>
<a name="l00004"></a>00004 <span class="comment">  </span>
<a name="l00005"></a>00005 <span class="comment">    This library is free software; you can redistribute it and/or</span>
<a name="l00006"></a>00006 <span class="comment">    modify it under the terms of the GNU Library General Public</span>
<a name="l00007"></a>00007 <span class="comment">    License as published by the Free Software Foundation; either</span>
<a name="l00008"></a>00008 <span class="comment">    version 2 of the License, or (at your option) any later version.</span>
<a name="l00009"></a>00009 <span class="comment">  </span>
<a name="l00010"></a>00010 <span class="comment">    This library is distributed in the hope that it will be useful,</span>
<a name="l00011"></a>00011 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00012"></a>00012 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span>
<a name="l00013"></a>00013 <span class="comment">    Library General Public License for more details.</span>
<a name="l00014"></a>00014 <span class="comment">  </span>
<a name="l00015"></a>00015 <span class="comment">    You should have received a copy of the GNU Library General Public</span>
<a name="l00016"></a>00016 <span class="comment">    License along with this library; if not, write to the Free</span>
<a name="l00017"></a>00017 <span class="comment">    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.</span>
<a name="l00018"></a>00018 <span class="comment">*/</span>
<a name="l00019"></a>00019 
<a name="l00020"></a>00020 <span class="preprocessor">#ifndef __CEL_PF_WIRE__</span>
<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define __CEL_PF_WIRE__</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span>
<a name="l00023"></a>00023 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cstypes_8h.html">cstypes.h</a>&quot;</span>
<a name="l00024"></a>00024 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/scf_8h.html">csutil/scf.h</a>&quot;</span>
<a name="l00025"></a>00025 
<a name="l00026"></a>00026 <span class="keyword">struct </span><a class="code" href="structiCelExpression.html" title="Interface for a single expression.">iCelExpression</a>;
<a name="l00027"></a>00027 
<a name="l00040"></a><a class="code" href="structiPcWire.html">00040</a> <span class="keyword">struct </span><a class="code" href="structiPcWire.html" title="This is a wire property class.">iPcWire</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00041"></a>00041 {
<a name="l00042"></a>00042   SCF_INTERFACE (<a class="code" href="structiPcWire.html" title="This is a wire property class.">iPcWire</a>, 0, 0, 1);
<a name="l00043"></a>00043 
<a name="l00054"></a>00054   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcWire.html#ae1b1f88fdba43441b9575b9c0271b05f" title="Add a message to react too.">AddInput</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* msg_mask, <a class="code" href="structiMessageChannel.html" title="This is an message channel.">iMessageChannel</a>* channel = 0) = 0;
<a name="l00055"></a>00055 
<a name="l00067"></a>00067   <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> <a class="code" href="structiPcWire.html#adfd1503bc7c31173eb270f7be80d0272" title="Add an output message.">AddOutput</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* msgid, <a class="code" href="structiMessageChannel.html" title="This is an message channel.">iMessageChannel</a>* channel = 0,
<a name="l00068"></a>00068       <a class="code" href="structiCelParameterBlock.html" title="This interface is a parameter block that can be used to pass parameters through SendMessage() in a be...">iCelParameterBlock</a>* extra_params = 0) = 0;
<a name="l00069"></a>00069 
<a name="l00083"></a>00083   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcWire.html#a152b3436eeba9bf592d6782f7ad8e0d0" title="Map a parameter from one name to another directly.">MapParameter</a> (<span class="keywordtype">size_t</span> <span class="keywordtype">id</span>, <span class="keyword">const</span> <span class="keywordtype">char</span>* source, <span class="keyword">const</span> <span class="keywordtype">char</span>* dest,
<a name="l00084"></a>00084       <a class="code" href="structiCelExpression.html" title="Interface for a single expression.">iCelExpression</a>* expression = 0) = 0;
<a name="l00085"></a>00085 
<a name="l00095"></a>00095   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcWire.html#a3d3e48f235e553243d511042988d8f5f" title="Map a parameter from one name to another directly.">MapParameterExpression</a> (<span class="keywordtype">size_t</span> <span class="keywordtype">id</span>, <span class="keyword">const</span> <span class="keywordtype">char</span>* dest, <span class="keyword">const</span> <span class="keywordtype">char</span>* expression) = 0;
<a name="l00096"></a>00096 };
<a name="l00097"></a>00097 
<a name="l00098"></a>00098 <span class="preprocessor">#endif // __CEL_PF_WIRE__</span>
<a name="l00099"></a>00099 <span class="preprocessor"></span>
</pre></div></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
